from aircox.models import Diffusion, StaticPage
from aircox.views.page import attach
from aircox.views.diffusion import TimeTableView as AircoxTimeTableView

__all__ = "TimeTableView"


@attach
class TimeTableView(AircoxTimeTableView):
    model = Diffusion
    redirect_date_url = "timetable-list"
    attach_to_value = StaticPage.Target.TIMETABLE
    template_name = "aircox/home_timetable_list.html"
